<?php

/* Unique options for every EP theme */

$admin_url = EPCL_PLUGIN_URL.'/functions/admin';

$opt_name = EPCL_FRAMEWORK_VAR;

$primary_color = '#FF4C60';
$secondary_color = '#65EBE7';
$titles_color = '#454360';
$text_color = '#596172';
$border_color = '#EEEEEE';
$input_bg_color = '#F9F9FE';
$background_color = '#F9F9FE';
$black = '#4B4870';
$white = '#FFFFFF';

/* Blog */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Styling', 'epcl_framework'),
    'icon' => 'fa fa-pencil',
    'id' => 'styling'
) );

/* Background */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Body Background', 'epcl_framework'),
    // 'icon' => 'el-icon-pencil',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'background_type',
			'type' => 'button_set',
			'title' => esc_html__('Background Type', 'epcl_framework'),
			'subtitle' => '',
			'desc' => '',
            'options' => array(
                '1' => 'پترن تصویر',
                '2' => 'رنگ جامد',
                '3' => 'تصویر تمام عرض',
                '4' => 'گرادیانت',
                // '5' => 'Default Gradient',
            ),
			'default' => '2'
		),
		array(
			'id' => 'bg_body_color',
			'type' => 'color',
			'dependency' => array('background_type', '==', '2'),
			'title' => esc_html__('Body Background Color', 'epcl_framework'),
			'desc' => esc_html__('Pick a background color for the theme.', 'epcl_framework'),
			'default' => $background_color,
			// 'validate' => 'color',
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
		),
		array(
			'id' => 'bg_body_pattern',
			'type' => 'media',
			'dependency' => array('background_type', '==', '1'),
			'url' => true,
			'preview'=> true,
			'title' => esc_html__('Pattern Uploader', 'epcl_framework'),
			'desc' => esc_html__('You can get a lot of free patterns on http://subtlepatterns.com', 'epcl_framework'),
		),
		array(
			'id' => 'bg_body_full',
			'type' => 'media',
			'dependency' => array('background_type', '==', '3'),
			'url' => true,
			'preview'=> true,
			'title' => esc_html__('Fullscreen Image', 'epcl_framework'),
			'desc' => esc_html__('Recommended size: 1920x1080 pixels', 'epcl_framework'),
        ),
        array(
			'id' => 'bg_body_gradient',
			'type' => 'color_group',
			'dependency' => array('background_type', '==', '4'),
			'title' => esc_html__('Gradient Color', 'epcl_framework'),
			'desc' => esc_html__('Pick 2 different colors for the gradient.', 'epcl_framework'),
			// 'default' => '#485DA6',
			//// 'validate' => 'color',
            'transparent' => false,
            'options'   => array(
                'from' => esc_html__('From', 'epcl_framework'),
                'to' => esc_html__('To', 'epcl_framework'),
            ),
            'default'  => array(
                'from' => '#485DA6',
                'to'   => '#32b37b', 
            ),
        ),	
	)
) );

/* Basic Styling */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Basic Styling', 'epcl_framework'),
    // 'icon' => 'el-icon-pencil',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'primary_color',
			'type' => 'color',
			'title' => esc_html__('Primary color ', 'epcl_framework'),
			'default' => $primary_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$primary_color, 'epcl_framework'),
            'desc' =>  esc_html__('رنگ اصلی', 'epcl_framework'),
            'transparent' => false,
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
		),
		array(
			'id' => 'secondary_color',
			'type' => 'color',
			'title' => esc_html__('رنگ دوم ', 'epcl_framework'),
			'default' => $secondary_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$secondary_color, 'epcl_framework'),
            'desc' =>  esc_html__('تزئینات و جلوه اصلی.', 'epcl_framework'),
			// 'validate' => 'color',
            'transparent' => false,
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
		),
		array(
			'id' => 'third_color',
			'type' => 'color',
			'title' => esc_html__('رنگ سوم (مکمل) ', 'epcl_framework'),
			'default' => $black,
			'subtitle' =>  esc_html__("پیش فرض: ".$black, 'epcl_framework'),
            'desc' =>  esc_html__('دکمه ها، لینک های اصلی و غیره.', 'epcl_framework'),
			// 'validate' => 'color',
            'transparent' => false,
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
		),
        array(
			'id' => 'titles_color',
			'type' => 'color',
			'title' => esc_html__('رنگ عنوان ها', 'epcl_framework'),
			'default' => $titles_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$titles_color, 'epcl_framework'),
            // 'desc' =>  esc_html__('Buttons, main links, etc', 'epcl_framework'),
			// 'validate' => 'color',
            'transparent' => false,
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
		),
		array(
			'id' => 'text_color',
			'type' => 'color',
			'title' => esc_html__('رنگ متن', 'epcl_framework'),
			'default' => $text_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$text_color, 'epcl_framework'),
			//'validate' => 'color',
            'transparent' => false,
            'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color_transparent',
        ),
	)
) );

/* Header */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Header', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'header_bg_color',
			'type' => 'color',
			'title' => esc_html__('Header Background color', 'epcl_framework'),
			'default' => 'transparent',
			'subtitle' =>  esc_html__('پیش فرض: شفاف', 'epcl_framework'),
			// 'validate' => 'color',
			// 'transparent' => true
        ),
        array(
			'id' => 'header_menu_bg_color',
			'type' => 'color',
			'title' => esc_html__('رنگ پس زمینه منو هدر', 'epcl_framework'),
			'default' => $white,
			'subtitle' =>  esc_html__('پیش فرض: '.$white, 'epcl_framework'),
			// 'validate' => 'color',
			// 'transparent' => true
        ),
        array(
			'id' => 'header_menu_link_color',
			'type' => 'link_color',
			'title' => esc_html__('Menu links color', 'epcl_framework'),
			'desc' => '',
			// 'validate' => 'color',
			'active' => true,
			'default' => array(
				'color' => $black,
                'hover' => $primary_color,
                'active' => $primary_color,
			),
        ),
        array(
			'id' => 'header_submenu_link_color',
			'type' => 'link_color',
			'title' => esc_html__('Submenu links color', 'epcl_framework'),
			'desc' => '',
			// 'validate' => 'color',
			'active' => true,
			'default' => array(
				'color' => $black,
                'hover' => $primary_color,
                'active' => $primary_color,
			),
        ),
        array(
			'id' => 'header_submenu_bg_color',
			'type' => 'color',
			'title' => esc_html__('Header Submenu Background color', 'epcl_framework'),
			'default' => $white,
			'subtitle' =>  esc_html__("پیش فرض: ".$white, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'header_sticky_bg_color',
			'type' => 'color',
			'title' => esc_html__('Header Sticky Background color', 'epcl_framework'),
			'default' => $white,
			'subtitle' =>  esc_html__("پیش فرض: ".$white, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
        array(
			'id' => 'header_mobile_bg_color',
			'type' => 'color',
			'title' => esc_html__('رنگ پس زمینه منو موبایل', 'epcl_framework'),
			'default' => $white,
			'subtitle' =>  esc_html__('پیش فرض: '.$white, 'epcl_framework'),
            'desc' =>  esc_html__('این کانتینر منوی تلفن همراه است، فقط در دستگاه های تلفن همراه ظاهر می شود.', 'epcl_framework'),
			// 'validate' => 'color',
			// 'transparent' => true
        ),
		array(
			'id' => 'header_mobile_icon_color',
			'type' => 'color',
			'title' => esc_html__('رنگ آیکن منو', 'epcl_framework'),
			'default' => $black,
			'subtitle' =>  esc_html__("پیش فرض: ".$black, 'epcl_framework'),
			'desc' =>  esc_html__('This is the menu bar icon, only appears on mobile to show/hide the main menu.', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
        array(
			'id' => 'header_mobile_link_color',
			'type' => 'color',
			'title' => esc_html__('رنگ لینک موبایل', 'epcl_framework'),
			'default' => $black,
			'subtitle' =>  esc_html__("پیش فرض: ".$black, 'epcl_framework'),
			'desc' =>  esc_html__('این پیوندهای نوار منو است، فقط در دستگاه های تلفن همراه ظاهر می شود.', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
	)
) );

/* Content */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Content', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'selection_bg_color',
			'type' => 'color',
			'title' => esc_html__('رنگ پس زمینه انتخاب شده', 'epcl_framework'),
			'default' => $text_color,
            'subtitle' =>  esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
            'desc' => esc_html__('You will see this event whenever a user make a text a selection.', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'selection_text_color',
			'type' => 'color',
			'title' => esc_html__('Selection text color', 'epcl_framework'),
			'default' => $white,
            'subtitle' =>  esc_html__("پیش فرض: ".$white, 'epcl_framework'),
            'desc' => esc_html__('You will see this event whenever a user make a text a selection.', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'content_border_color',
			'type' => 'color',
			'title' => esc_html__('Content border color', 'epcl_framework'),
			'default' => $border_color,
            'subtitle' =>  esc_html__("پیش فرض: ".$border_color, 'epcl_framework'),
            'desc' => esc_html__('Border between articles and used on the main sidebar.', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),     
        array(
			'id' => 'main_boxes_color',
			'type' => 'color',
			'title' => esc_html__('رنگ پس زمینه باکس های اصلی', 'epcl_framework'),
			'default' => $white,
            'subtitle' =>  esc_html__("پیش فرض: ".$white, 'epcl_framework'),
            'desc' => esc_html__('All main containers uses a white background to generate contrast (Single post, Text Sliders, Posts lists, etc).', 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),   
        // array(
		// 	'id' => 'main_title_color',
		// 	'type' => 'color',
		// 	'title' => esc_html__('Main titles color', 'epcl_framework'),
		// 	'default' => $black,
		// 	'subtitle' =>  esc_html__("پیش فرض: ".$black, 'epcl_framework'),
		// 	// 'validate' => 'color',
		// 	'transparent' => false
        // ),
        // array(
		// 	'id' => 'main_title_decoration_color',
		// 	'type' => 'color',
		// 	'title' => esc_html__('Main Titles dot color', 'epcl_framework'),
		// 	'default' => $primary_color,
		// 	'subtitle' =>  esc_html__("پیش فرض: ".$primary_color, 'epcl_framework'),
		// 	// 'validate' => 'color',
		// 	'transparent' => false
		// ),
	)
) );

/* Content Width */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('عرض محتوا', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'content_width_info',
            'type' => 'subheading',
            'notice' => false,
            'title' => __('اطلاعات مهم:', 'epcl_framework'),
            'subtitle' => __( 'همه این گزینه ها جهانی هستند و بر کل عرض وب سایت شما تأثیر می گذارد. لطفاً توجه داشته باشید، همیشه واحد صحیح را در پایان اضافه کنید، به عنوان مثال <b>1300px</b>.<br><br>درصد پشتیبانی می شود اما توصیه نمی شود.', 'epcl_framework'),
		),
        array(
			'id' => 'grid_container_width',
			'type' => 'text',
            'title' => esc_html__('عرض کانتینر اصلی', 'epcl_framework'),
            'subtitle' => esc_html__('پیش فرض: 1240px', 'epcl_framework'),
            'desc' => __('حداکثر فضای استفاده شده در صفحه (بر حسب پیکسل) برای کل وب سایت شما.'),
            'default    ' => '1240px',
            'placeholder' => '1240px',
            'attributes'  => array(
                'style' => 'width: 100px',
            ),
        ),
        array(
			'id' => 'grid_container_large_width',
			'type' => 'text',
            'title' => esc_html__('عرض کانتینر بزرگ', 'epcl_framework'),
            'subtitle' => esc_html__('پیش فرض: 1400px', 'epcl_framework'),
            'desc' => __('برخی محتوا از عرض بیشتر استفاده می کنند, مثال: <b>پست های شبکه ای (آجری)</b>'),
            'default    ' => '1400px',
            'placeholder' => '1400px',
            'attributes'  => array(
                'style' => 'width: 100px',
            ),
        ),
        array(
			'id' => 'grid_container_ularge_width',
			'type' => 'text',
            'title' => esc_html__('عرض کانتینر بسیار بزرگتر', 'epcl_framework'),
            'subtitle' => esc_html__('پیش فرض: 1600px', 'epcl_framework'),
            'desc' => __('برخی ماژول ها از عرض بسیار بیشتری استفاده می کنند, مثال: <b>دسته ها و پست های کاروسل.</b>'),
            'default    ' => '1600px',
            'placeholder' => '1600px',
            'attributes'  => array(
                'style' => 'width: 100px',
            ),
        ),
	)
) );

/* Buttons */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Buttons/Links', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'content_link_color',
			'type' => 'link_color',
			'title' => esc_html__('General link color', 'epcl_framework'),
			'subtitle' => esc_html__("پیش فرض: $black, هاور: $primary_color", 'epcl_framework'),
			// 'validate' => 'color',
			'active' => false,
			'default' => array(
				'color' => $black,
                'hover' => $primary_color,
			),
            'class' => 'epcl-hide-transparent',
        ),
        array(
			'id' => 'primary_button',
			'type' => 'color_group',
			'title' => esc_html__('دکمه اصلی', 'epcl_framework'),
			'default' => $black,
            'subtitle' => esc_html__("پیش فرض: $black, متن: $white", 'epcl_framework'),
            'transparent' => false,
            // 'validate' => 'csf_validate_hex_color',
            'class' => 'epcl-hide-transparent',
            'options' => array(
                'background' => 'پس زمینه',
                'text_color' => 'رنگ متن',
            ),
            'default' => array(
                'background' => $black,
                'text_color' => $white,
            )
        ),
        array(
			'id' => 'secondary_button',
			'type' => 'color_group',
			'title' => esc_html__('دکمه ثانویه', 'epcl_framework'),
			'default' => $black,
            'subtitle' => esc_html__("پیش فرض: $primary_color, متن: $white", 'epcl_framework'),
            'transparent' => false,
            // 'validate' => 'csf_validate_hex_color',
            'class' => 'epcl-hide-transparent',
            'options' => array(
                'background' => 'پس زمینه',
                'text_color' => 'رنگ متن',
            ),
            'default' => array(
                'background' => $primary_color,
                'text_color' => $white,
            )
        ),
        array(
			'id' => 'tag_text_color',
			'type' => 'link_color',
			'title' => esc_html__('Default Tag button text color', 'epcl_framework'),
			'subtitle' => esc_html__("پیش فرض: $text_color, هاور: $primary_color", 'epcl_framework'),
			// 'validate' => 'color',
			'active' => false,
			'default' => array(
				'color' => $text_color,
                'hover' => $primary_color,
			),
        ),
        array(
			'id' => 'tag_bg_color',
			'type' => 'link_color',
			'title' => esc_html__('Default Tag button background color', 'epcl_framework'),
			'subtitle' => esc_html__("پیش فرض: #E84E89, هاور: #E84E89", 'epcl_framework'),
			// 'validate' => 'color',
			'active' => false,
			'default' => array(
				'color' => $white,
                'hover' => $white,
			),
        ),
	)
) );

/* Sidebar */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Sidebar', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'sidebar_bg_color',
			'type' => 'color',
			'title' => esc_html__('Sidebar widgets background color', 'epcl_framework'),
			'default' => 'transparent',
            'subtitle' =>  esc_html__('پیش فرض: شفاف', 'epcl_framework'),
            // 'desc' => '',
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'sidebar_text_color',
			'type' => 'color',
			'title' => esc_html__('Sidebar text color', 'epcl_framework'),
			'default' => $text_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
        array(
			'id' => 'sidebar_link_color',
			'type' => 'link_color',
			'title' => esc_html__('Sidebar links color', 'epcl_framework'),
			'subtitle' => esc_html__("پیش فرض: ".$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'active' => false,
			'default' => array(
				'color' => $text_color,
                'hover' => $primary_color,
			),
        ),
        array(
			'id' => 'sidebar_title_color',
			'type' => 'color',
			'title' => esc_html__('Sidebar titles color', 'epcl_framework'),
			'default' => $titles_color,
			'subtitle' =>  esc_html__('پیش فرض: '.$titles_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'sidebar_title_decoration_color',
			'type' => 'color',
			'title' => esc_html__('Sidebar title border color', 'epcl_framework'),
			'default' => $primary_color,
			'subtitle' =>  esc_html__("پیش فرض: ".$primary_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
	)
) );

/* Forms */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Forms', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
            'id'   => 'info_forms',
            'type' => 'subheading',
            'title' => esc_html__('Important:', 'epcl_framework'),
            'subtitle' => esc_html__('All these options affects contact and comments form.', 'epcl_framework')
        ),
        array(
			'id' => 'input_bg_color',
			'type' => 'color',
			'title' => esc_html__('Input box background color', 'epcl_framework'),
			'default' => $input_bg_color,
            'subtitle' =>  esc_html__('پیش فرض: '.$input_bg_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'input_text_color',
			'type' => 'color',
			'title' => esc_html__('Input box text color', 'epcl_framework'),
			'default' => $text_color,
            'subtitle' =>  esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'label_text_color',
			'type' => 'color',
			'title' => esc_html__('Label text color', 'epcl_framework'),
			'default' => $text_color,
            'subtitle' =>  esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'submit_bg_color',
			'type' => 'color',
			'title' => esc_html__('Submit button background color', 'epcl_framework'),
			'default' => $primary_color,
            'subtitle' =>  esc_html__("پیش فرض: ".$primary_color, 'epcl_framework'),
			// 'validate' => 'color',
            'transparent' => false,
            // 'class' => 'epcl-hide-transparent',
            'validate' => 'csf_validate_hex_color',
        ),
        array(
			'id' => 'submit_text_color',
			'type' => 'color',
			'title' => esc_html__('Submit button text color', 'epcl_framework'),
			'default' => $white,
            'subtitle' =>  esc_html__('پیش فرض: '.$white, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
	)
) );

/* Footer */

CSF::createSection( $opt_name, array(
	'title' => esc_html__('Footer', 'epcl_framework'),
    // 'icon' => 'el-icon-edit',
    'parent' => 'styling',
	'fields' => array(
        array(
			'id' => 'footer_bg_color',
			'type' => 'color',
			'title' => esc_html__('Footer background color', 'epcl_framework'),
			'default' => 'transparent',
            'subtitle' =>  esc_html__('پیش فرض: شفاف', 'epcl_framework'),
            // 'desc' => '',
			// 'validate' => 'color',
			'transparent' => true
        ),
        array(
			'id' => 'footer_text_color',
			'type' => 'color',
			'title' => esc_html__('Footer text color', 'epcl_framework'),
			'default' => $text_color,
			'subtitle' =>  esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
		),
        array(
			'id' => 'footer_link_color',
			'type' => 'link_color',
			'title' => esc_html__('Footer links color', 'epcl_framework'),
			'subtitle' => esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'active' => false,
			'default' => array(
				'color' => $text_color,
                'hover' => $primary_color,
			),
        ),
        array(
			'id' => 'footer_title_color',
			'type' => 'color',
			'title' => esc_html__('Footer titles color', 'epcl_framework'),
			'default' => $titles_color,
			'subtitle' =>  esc_html__('پیش فرض: '.$titles_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'footer_title_decoration_color',
			'type' => 'color',
			'title' => esc_html__('رنگ حاشیه عنوان فوتر', 'epcl_framework'),
			'subtitle' =>  esc_html__("پیش فرض: ",$primary_color, 'epcl_framework'),
            'default' => $primary_color,
        ),
        array(
			'id' => 'footer_copyright_color',
			'type' => 'color',
			'title' => esc_html__('Footer copyright text color', 'epcl_framework'),
			'default' => $text_color,
			'subtitle' =>  esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false
        ),
        array(
			'id' => 'footer_copyright_link_color',
			'type' => 'color',
			'title' => esc_html__('Footer copyright links color', 'epcl_framework'),
			'subtitle' => esc_html__('پیش فرض: '.$text_color, 'epcl_framework'),
			// 'validate' => 'color',
			'transparent' => false,
			'default' => $text_color
        ),
	)
) );
